<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index__"><span>_</span></a></li>
      <li><a href="functions_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li class="current"><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>gain
: <a class="el" href="classForceSensor.html#ab92d53cc45218aff4c51ae64f3bc1004">ForceSensor</a>
</li>
<li>Get()
: <a class="el" href="classMeasurementState.html#a2d02c33eb53630f5bd8444a2f56768b8">MeasurementState</a>
</li>
<li>get()
: <a class="el" href="classParms.html#aa6b4b574235c7284bb1020b3d0b2484f">Parms</a>
</li>
<li>GetAxis()
: <a class="el" href="classController.html#ae7da114dbdb44e55c9dd602beb0d000e">Controller</a>
, <a class="el" href="classSmarActController.html#a45cdad342ffe1ff4c4ef3acf9ed639c9">SmarActController</a>
</li>
<li>GetAxisPointer()
: <a class="el" href="classActuatorSystem.html#a793ffbe816baa451e69df29a3cec334f">ActuatorSystem</a>
, <a class="el" href="classHardwareManager.html#a44bd17839f7647b13901a97f775cefca">HardwareManager</a>
</li>
<li>getCurrentSessionPath()
: <a class="el" href="classFileManager.html#aae5650b5a65d4b849b0baaeeeb03e0cb">FileManager</a>
</li>
<li>GetDescription()
: <a class="el" href="classSmarActAxisStatus.html#afe910d08d1eb8e84e780c15d9a98b8c9">SmarActAxisStatus</a>
, <a class="el" href="classSmarActResult.html#af94a142b9da64545a4b74abfa3efdafc">SmarActResult</a>
</li>
<li>getExperimentDirAbsolute()
: <a class="el" href="classExperiment.html#a618e7c46eeff8b7929325faa200ef26d">Experiment</a>
, <a class="el" href="classFileManager.html#a10b093c38ffeeee2da54a22234856ad2">FileManager</a>
</li>
<li>getFirstAvailableExperimentPath()
: <a class="el" href="classFileManager.html#ae30932726a6c59ecc8c037fe6d5d6b8d">FileManager</a>
</li>
<li>GetForce()
: <a class="el" href="classForceSensor.html#a96c60928bb3a6bc09e3754d178cd4fb4">ForceSensor</a>
</li>
<li>GetForceAndVoltage()
: <a class="el" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee">ForceMeasurement</a>
</li>
<li>GetHeaders()
: <a class="el" href="classMeasurementState.html#aa83b85383a05112b240541f13a87a56f">MeasurementState</a>
</li>
<li>getInParamsPath()
: <a class="el" href="classFileManager.html#a46c452fc23ae0e71c2f5fe3e99afaadc">FileManager</a>
</li>
<li>GetMaxForce()
: <a class="el" href="classForceSensor.html#aff9b62809fe9e7055bf86a73ef64154b">ForceSensor</a>
</li>
<li>GetName()
: <a class="el" href="classSmarActAxisStatus.html#aecfd763e6a5b5eb877e10f9ca1ab3c5d">SmarActAxisStatus</a>
</li>
<li>GetOffsetForce()
: <a class="el" href="classForceSensor.html#ab2afaec2f465720f6408f63e202c284c">ForceSensor</a>
</li>
<li>getOutParamsPath()
: <a class="el" href="classFileManager.html#a680f33430c4c16c272899b822c66d306">FileManager</a>
</li>
<li>getOutputDataPath()
: <a class="el" href="classFileManager.html#aab945adb1c65b3cfe94a36f9c97ad3cd">FileManager</a>
</li>
<li>GetPosition()
: <a class="el" href="classRobot.html#a6028803bde72460dd961a3099dd32485">Robot</a>
</li>
<li>GetPositionSync()
: <a class="el" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da">SmarActActuatorAxis</a>
, <a class="el" href="classActuatorAxis.html#aafe1cceab42834d85a6a4750fa33af32">ActuatorAxis</a>
</li>
<li>GetStatusDescription()
: <a class="el" href="classSmarActCommand.html#a736733290d8426a79e7d57249fae7dc1">SmarActCommand</a>
, <a class="el" href="classSmarActResult.html#ab0b43beb80b969b0461acc7962f7b46b">SmarActResult</a>
</li>
<li>GetStatusSync()
: <a class="el" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f">SmarActActuatorAxis</a>
</li>
<li>GetVoltage()
: <a class="el" href="classADCard.html#ad6e0ad1f4e6849d4f5726277f2d0b85a">ADCard</a>
</li>
<li>Goto()
: <a class="el" href="classRobot.html#a392ec2a33753ff38d7d7ed38674a6ec1">Robot</a>
</li>
<li>GotoAsync()
: <a class="el" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df">SmarActActuatorAxis</a>
, <a class="el" href="classActuatorAxis.html#aca6e394e1b956fb2797356caa2a62b38">ActuatorAxis</a>
</li>
<li>GotoSync()
: <a class="el" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e">SmarActActuatorAxis</a>
, <a class="el" href="classActuatorAxis.html#a3022184603571d9dd94e51377a275317">ActuatorAxis</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
